%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define gdate	20170430

%define rel	4

Name:		regexxer
Summary:	Interactive search and replace tool
Version:	0.11
Release:	%mkrel %{?gdate:0.git%gdate}.%{rel}
Group:		Text tools
License:	GPLv2+
Url:		https://www.gnome.org/
%if 0%{?gdate:1}
Source0:	%{name}-%{gdate}.tar.xz
%else
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
%endif
#Mageia patches
Patch201:	0201-Remove-AM_GLIB_GNU_GETTEXT.patch
Patch202:	0202-Add-disable-icon-update-configure-option.patch
Patch203:	0203-Fix-disable-schemas-compile-configure-option.patch
BuildRequires:	intltool
BuildRequires:	gnome-common
BuildRequires:	pkgconfig(gtkmm-3.0)
BuildRequires:	pkgconfig(glibmm-2.4)
BuildRequires:	pkgconfig(gtksourceviewmm-3.0)

%description
regexxer is a nifty search/replace tool for the desktop user.

%prep
%autosetup -p1 -n %{name}-%{?gdate}%{!?gdate:%version}

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure \
	--disable-icon-update \
	--disable-schemas-compile
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc README NEWS AUTHORS
%{_bindir}/regexxer
%{_datadir}/regexxer/
%{_datadir}/applications/regexxer.desktop
%{_datadir}/glib-2.0/schemas/org.regexxer.gschema.xml
%{_datadir}/icons/hicolor/*/apps/regexxer.*


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 0.11-0.git20170430.4.mga9
+ Revision: 1838388
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 0.11-0.git20170430.3.mga8
+ Revision: 1516479
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.11-0.git20170430.2.mga7
+ Revision: 1300808
- Mageia 7 Mass Rebuild

* Sat Aug 26 2017 wally <wally> 0.11-0.git20170430.1.mga7
+ Revision: 1148219
- pkg latest git snapshot

* Sun Oct 09 2016 wally <wally> 0.10-8.mga6
+ Revision: 1059842
- add patch from upstream to fix deprecated API usage (mga#19556)

* Tue Feb 16 2016 umeabot <umeabot> 0.10-7.mga6
+ Revision: 962716
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 tv <tv> 0.10-6.mga6
+ Revision: 896293
- add -stdc=gnu89 to CXXFLAGS

* Wed Oct 15 2014 umeabot <umeabot> 0.10-6.mga5
+ Revision: 745292
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10-5.mga5
+ Revision: 688647
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 fwang <fwang> 0.10-4.mga4
+ Revision: 536900
- fix gettext usage
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 19 2013 fwang <fwang> 0.10-3.mga3
+ Revision: 389689
- autogen
- autoreconf
- more patch
- fix build with latest glib
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ ovitters <ovitters>
- clean spec

* Thu Oct 06 2011 wally <wally> 0.10-1.mga2
+ Revision: 152517
- imported package regexxer

